addpath('./lib');

disp('vecteur ligne\n');
u=[1 2 3];
disp(u);
u=[1,2,3];
disp(u);
u=linspace(1,3,3);
disp(u);
u=1:1:3;
disp(u);

disp('vecteur colonne\n');
v=[-5;2;1];
disp(v);
w=[-1;-3;7];

disp('matrice\n');
A=[2 -1 0; -1 2 -1; 0 -1 2];
disp(A);
disp(A(2,3));

disp('les boucles\n');
A=zeros(3,3);
i=1;
while (i<4)
    A(i,i)=2;
    i=i+1;
end
for i=1:2
    A(i,i+1)=-1;
    A(i+1,i)=-1;
end
disp(A);

disp('insertion/extraction\n');
disp(A(1:2,2:3));

A=2*eye(3,3);
B=-1*eye(2,2);
A(1:2,2:3)=A(1:2,2:3)+B;
A(2:3,1:2)=A(2:3,1:2)+B;
disp(A);

disp('operations matricielles\n');
res=u'+3*v -w/5;
disp(res);

res2=sp(v,w);
disp(res2);

% deff('y=sq(x)','y=x.^2');
res3=sq(u);
disp(res3);

res4=A*w;
disp(res4);

disp('utilisation de l''aide\n');
disp('les normes\n');
disp(norm(u));
disp(norm(u,2));
disp(norm(v,1));
disp(norm(w,'inf'));

disp(sprintf('les dimensions de la matrice A sont %d %d\n',size(A)));
disp(size(A,2));

disp(sprintf('le determinant de A est %f\n',det(A)));
disp('l''inverse d''une matrice\n');
disp(inv(A));

disp('systeme lineaire\n');
disp(linsysinv(A,v));
disp(linsysbackslash(A,v));
